librose-db-object-perl (1:0.820-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:03:44 +0100

librose-db-object-perl (1:0.820-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster
    * Build-Depends-Indep: Drop versioned constraint on librose-db-perl.

  [ gregor herrmann ]
  * Import upstream version 0.820.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Oct 2021 23:00:26 +0200

librose-db-object-perl (1:0.819-1) unstable; urgency=medium

  * Import upstream version 0.819.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Jun 2020 17:22:53 +0200

librose-db-object-perl (1:0.818-1) unstable; urgency=medium

  * Import upstream version 0.818.
    Fixes "FTBFS: test failure in t/db-object-manager.t"
    (Closes: #962482)
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Jun 2020 19:15:02 +0200

librose-db-object-perl (1:0.817-1) unstable; urgency=medium

  * Import upstream version 0.817.
  * Drop use-carp.patch, applied upstream.

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 Apr 2020 17:55:33 +0200

librose-db-object-perl (1:0.816-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Brian Cassidy from Uploaders. Thanks for your work!
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Rene Mayorga from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.
  * Import upstream version 0.816.
  * Update versioned (build) dependencies.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * debian/upstream/metadata: remove Repository* keys.
    The Git repo contains various modules which confuses various tools.
  * Add patch to load the Carp module before using it.
    Thanks to autopkgtest.
  * Add debian/tests/pkg-perl/smoke-skip to skip two tests during
    autopkgtest which need more environment setup than what autopkgtest-
    pkg-perl easily provides.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Apr 2020 16:53:09 +0200

librose-db-object-perl (1:0.815-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * New upstream release.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.6.
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Oct 2015 23:32:35 +0100

librose-db-object-perl (1:0.811-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 May 2014 15:06:08 +0200

librose-db-object-perl (1:0.810-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Jan 2014 20:38:27 +0100

librose-db-object-perl (1:0.809-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Mon, 09 Dec 2013 22:31:36 +0100

librose-db-object-perl (1:0.807-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Oct 2013 23:37:38 +0200

librose-db-object-perl (1:0.806-1) unstable; urgency=low

  * New upstream release.
    Fixes "FTBFS with perl 5.18: test failures"
    (Closes: #711613)

 -- gregor herrmann <gregoa@debian.org>  Sun, 09 Jun 2013 01:24:16 +0200

librose-db-object-perl (1:0.805-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Mar 2013 14:12:41 +0100

librose-db-object-perl (1:0.804-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 18 Feb 2013 18:54:15 +0100

librose-db-object-perl (1:0.801-1) unstable; urgency=low

  * New upstream release.
  * Update years of packaging copyright.
  * Bump Standards-Version to 3.9.4 (no changes).
  * Remove version constraints from (build) dependencies that are already
    satisfied in stable.

 -- gregor herrmann <gregoa@debian.org>  Sun, 09 Dec 2012 18:26:02 +0100

librose-db-object-perl (1:0.800-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Nicholas Bamber ]
  * New upstream release
  * Updated dependencies

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 14 Sep 2012 23:18:53 +0100

librose-db-object-perl (1:0.798-1) unstable; urgency=low

  * New upstream release
  * Raised standards version to 3.9.3
  * Updated copyright

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 15 Apr 2012 18:50:22 +0100

librose-db-object-perl (1:0.797-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release.
  * Update years of packaging copyright.
  * Switch to debhelper compatibility level 8.
  * Remove version from libclone-perl (build) dependency, already
    satisfied in oldstable.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 22:23:27 +0100

librose-db-object-perl (1:0.795-1) unstable; urgency=low

  * New upstream release
  * Raised standards version to 3.9.2
  * Updated copyright

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 16 Jul 2011 20:43:58 +0100

librose-db-object-perl (1:0.794-1) unstable; urgency=low

  [ Nicholas Bamber ]
  * Added myself to Uploaders
  * New upstream release
  * Added myself to copyright
  * Updated dependencies

  [ Ansgar Burchardt ]
  * Also bump runtime dependency on librose-db-perl to >= 0.763.

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 01 Jan 2011 12:07:29 +0000

librose-db-object-perl (1:0.791-1) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * New upstream release 0.787
  * Switch to dpkg-source 3.0 (quilt) format

  [ gregor herrmann ]
  * New upstream release 0.788.
  * Bump (build) dependency on librose-db-perl to 0.761.

  * New upstream release 0.791.
  * Bump (build) dependency on librose-db-perl to 0.762.
  * debian/copyright: update years of upstream copyright and formatting.
  * Set Standards-Version to 3.9.1 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Thu, 18 Nov 2010 18:38:17 +0100

librose-db-object-perl (1:0.786-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Update to new DEP5 copyright format
  * Remove POD spelling patch applied upstream

  [ gregor herrmann ]
  * Set Standards-Version to 3.8.4 (no changes).

 -- Jonathan Yu <jawnsy@cpan.org>  Mon, 01 Feb 2010 21:28:56 -0500

librose-db-object-perl (1:0.785-1) unstable; urgency=low

  * New upstream release
  * Add patch to fix POD spelling issues

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 01 Jan 2010 00:17:21 -0500

librose-db-object-perl (1:0.784-1) unstable; urgency=low

  * New upstream release
  * Add Test::Memory::Cycle to B-D-I for testing

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 18 Oct 2009 09:20:22 -0400

librose-db-object-perl (1:0.783-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Small cleanup to rules file
  * Remove some unnecessary version dependencies
  * Standards-Version 3.8.3 (drop perl version dependency)

  [ Ryan Niebur ]
  * Update jawnsy's email address
  * Update ryan52's email address

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 25 Sep 2009 10:18:20 -0400

librose-db-object-perl (1:0.782-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Detect enum-like columns in PostgreSQL (RT#46214)
    + Added optional warning to the Loader for missing primary keys
    + Fixed a memory leak in the Iterator class (RT#47294)
    + Improved unknown method error messages
    + Better example code
  * Added myself to Uploaders and Copyright

  [ gregor herrmann ]
  * debian/control: bump versioned (build) dependency on librose-db-perl.

 -- Jonathan Yu <frequency@cpan.org>  Fri, 17 Jul 2009 11:04:32 -0400

librose-db-object-perl (1:0.781-2) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ryan Niebur ]
  * fix bashisms in d/rules (Closes: #535397)
  * Add myself to Uploaders
  * Debian Policy 3.8.2

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 02 Jul 2009 04:10:57 -0700

librose-db-object-perl (1:0.781-1) unstable; urgency=low

  [ Brian Cassidy ]
  * New upstream release
  * debian/control: Standards-Version to 3.8.1

  [ gregor herrmann ]
  * debian/control: long description: remove "in this documentation", add full
    stop at the end.

 -- Brian Cassidy <brian.cassidy@gmail.com>  Fri, 24 Apr 2009 09:31:13 -0300

librose-db-object-perl (1:0.780-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Fri, 06 Mar 2009 14:43:42 +0100

librose-db-object-perl (1:0.779-1) unstable; urgency=low

  * New upstream release
  * debian/control: add myself to uploaders
  * debian/rules: send a "\n" to make test call, this will avoid
    the 60 seconds wait for tests.
  * debian/copyright:
    + split debian/* copyright contributors based
      on debian/changelog
    + use GPL-1 instead GPL

 -- Rene Mayorga <rmayorga@debian.org>  Fri, 27 Feb 2009 20:13:41 -0600

librose-db-object-perl (1:0.778-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: update dates

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Mon, 09 Feb 2009 11:21:22 +0100

librose-db-object-perl (1:0.777-1) unstable; urgency=low

  * New upstream release.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Dec 2008 04:01:11 +0100

librose-db-object-perl (1:0.776-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control:
    - switch Vcs-Browser field to ViewSVN
    - add libdbd-sqlite3-perl, libtest-pod-perl to Build-Depends-Indep to
      enable additional tests
  * debian/watch: extended regexp for matching upstream releases.
  * debian/rules: change permissions of Tutorial.pod.

  [ Brian Cassidy ]
  * New upstream release
  * debian/control:
   + Added myself to Uploaders
   + Bump some dependency versions to match upstream
  * debian/copyright: Upgrade to new standards
  * debian/rules: Upgrade to new standards

 -- Brian Cassidy <brian.cassidy@gmail.com>  Wed, 10 Dec 2008 10:17:06 -0400

librose-db-object-perl (1:0.775-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 31 Oct 2008 10:57:31 +0100

librose-db-object-perl (0.7740-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Thu, 30 Oct 2008 21:52:54 +0100

librose-db-object-perl (0.7722-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   + Standards-Version updated to 3.8.0 (no changes)
   + increase dependency from librose-db-perl to (>= 0.745)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Thu, 02 Oct 2008 10:24:31 +0200

librose-db-object-perl (0.770-1) unstable; urgency=low

  * New upstream release
  * Convert to debhelper 7

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 15 Apr 2008 16:23:57 +0200

librose-db-object-perl (0.769-1) unstable; urgency=low

  * New upstream release (closes: #476262)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 15 Apr 2008 14:38:40 +0200

librose-db-object-perl (0.768-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Sat, 22 Mar 2008 20:36:16 +0100

librose-db-object-perl (0.764-1) unstable; urgency=low

  * Initial Release.

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed, 23 May 2007 11:37:35 +0200
